// just for debugging
import { inspect } from "util";
const createNetlifyAdapter = ({
  reporter
}) => {
  reporter.info(`[gatsby-adapter-netlify] createAdapter()`);
  return {
    name: `gatsby-adapter-netlify`,
    cache: {
      restore(directories) {
        console.log(`[gatsby-adapter-netlify] cache.restore()`, directories);
      },
      store(directories) {
        console.log(`[gatsby-adapter-netlify] cache.store()`, directories);
      }
    },
    adapt({
      routesManifest,
      functionsManifest
    }) {
      console.log(`[gatsby-adapter-netlify] adapt()`, inspect({
        routesManifest,
        functionsManifest
      }, {
        depth: Infinity,
        colors: true
      }));
    }
  };
};
export default createNetlifyAdapter;